#slider {
    width: 54%;
    height: 256px;
    border: 5px solid black;
    margin: 10px auto;
    overflow: hidden;

  }
  #img {
    width: 4096px;
    position: relative;
    left: 0;
    transition: all ease 1s;
  }

  #img img {
    float: left;
  }
  #buttonl {
    width: 886px;
    display: inline-block;
  }
  #buttonr {
    width: 128px;
    display: inline-block;
  }
  #but {
    width: 1034px;
    margin: 0 auto;
  }
  .dot {
    cursor: pointer;
    height: 12px;
    width: 12px;
    margin: 0 2px;
    border-radius: 50%;
    display: inline-block;
    background-color: #bbb;
    transition: background-color 0.6s ease;
  }

@media screen and (max-width: 800px) {
  #slider {
    width: 512px;
  }
  #buttonl {
    width: auto;
  }
  #buttonl {
    width: auto;
  }
  #but {
    width: 512px;
    margin: 0 auto;
    padding-left: 29%;
  }

}
